import 'package:flutter/material.dart';
import 'package:pharmacy_mobile/widgets/text_widget.dart';

class TextboxWidget extends StatelessWidget {
  final String text;

  const TextboxWidget({super.key, required this.text});

  @override
  Widget build(BuildContext context) {
    return Container(
      width: MediaQuery.of(context).size.width,
      decoration: BoxDecoration(
        border: Border.all(color: const Color.fromRGBO(255, 255, 255, 1)),
        borderRadius: BorderRadius.circular(4),
      ),
      padding: const EdgeInsets.symmetric(horizontal: 12, vertical: 16), // Optional: Adds padding inside the container
      child: TextWidget(
        text: text,
        size: 16,
      ),
    );
  }
}
